Summary:        Qt frontend to Cscope
Name:           kscope
Version:        1.9.4
Release:        %mkrel 1
License: 	GPLv2+
Group: 		Development/Other
Source: 	http://ovh.dl.sourceforge.net/sourceforge/kscope/%name-%version.tar.gz
Source1:	kscope.desktop
Patch0:		kscope-1.9.4-compilefix.patch
Url: 		http://sourceforge.net/projects/kscope
BuildRoot: 	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires:	qt4-devel qscintilla-qt4-devel
BuildRequires:	desktop-file-utils
Requires:	cscope ctags graphviz

%description
KScope is a source-editing environment for KDE based on Cscope.

%prep
%setup -q
%patch0 -p0
sed -i 's|/usr/local|%{buildroot}%{_prefix}|g' config
for i in */*.pro; do
	sed -i 's|/lib|/%{_lib}|g' $i
done

%build
export CXXFLAGS="%{optflags} -I%{qt4include}/Qsci"
%qmake_qt4
make

%install
rm -rf %buildroot
%makeinstall_std

mkdir -p %{buildroot}%{_datadir}/pixmaps
install -p app/images/kscope.png %{buildroot}%{_datadir}/pixmaps
mkdir -p %{buildroot}%{_datadir}/applications
desktop-file-install --dir %{buildroot}%{_datadir}/applications %{SOURCE1}

rm -f %{buildroot}%{_libdir}/*.so

%clean
rm -rf %buildroot

%files
%defattr(-,root,root)
%{_bindir}/*
%{_libdir}/*.so.*
%{_datadir}/applications/kscope.desktop
%{_datadir}/pixmaps/kscope.png


%changelog
* Mon Apr 05 2010 Sandro Cazzaniga <kharec@mandriva.org> 1.9.4-1mdv2010.1
+ Revision: 531883
- don't define name, version, release and summary on top of spec.
- remove post && postun
- rediff patch0 (fix compile)
- Update to 1.9.4

* Fri Sep 11 2009 Thierry Vignaud <tv@mandriva.org> 1.9.2-2mdv2010.0
+ Revision: 438166
- rebuild

* Sat Feb 14 2009 Funda Wang <fwang@mandriva.org> 1.9.2-1mdv2009.1
+ Revision: 340207
- New version 1.9.2

* Sat Jan 31 2009 Funda Wang <fwang@mandriva.org> 1.9.1-1mdv2009.1
+ Revision: 335705
- New version 1.9.1

* Fri Jul 25 2008 Funda Wang <fwang@mandriva.org> 1.6.2-1mdv2009.0
+ Revision: 248143
- New version 1.6.2
- switch to /opt

  + Thierry Vignaud <tv@mandriva.org>
    - rebuild

  + Pixel <pixel@mandriva.com>
    - rpm filetriggers deprecates update_menus/update_scrollkeeper/update_mime_database/update_icon_cache/update_desktop_database/post_install_gconf_schemas

* Thu Jan 10 2008 Funda Wang <fwang@mandriva.org> 1.6.1-1mdv2008.1
+ Revision: 147489
- New version 1.6.1

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Thu Jul 26 2007 Funda Wang <fwang@mandriva.org> 1.6.0-1mdv2008.0
+ Revision: 55985
- switch to xdg menu entry
- New version 1.6.0


* Wed Dec 13 2006 Nicholas Brown <nickbrown@mandriva.org> 1.4.2-1mdv2007.0
+ Revision: 96345
- Add buildrequires

  + Laurent Montel <lmontel@mandriva.com>
    - Fix buildrequires
    - 1.4.2
    - Import kscope

* Tue Aug 29 2006 Laurent MONTEL <lmontel@mandriva.com> 1.4.2-1
- 1.4.2

* Sun May 21 2006 Laurent MONTEL <lmontel@mandriva.com> 1.3.4-1
- 1.3.4

* Sat Jan 07 2006 Anssi Hannula <anssi@mandriva.org> 1.3.3-2mdk
- fix x86_64 build

* Fri Jan 06 2006 Nicolas Lcureuil <neoclust@mandriva.org> 1.3.3-1mdk
- 1.3.3
	- License changed to BSD due to incompatibility between 
		the GPL and the CPL (graphviz)
	- New: Multiple-view call graph/tree dialogue
	- mproved: Function name is displayed first 
		(consistent behaviour for query
		views and call tree widgets)
	- Improved: Updated to the latest KDE 'configure' template
- Fix source url

* Mon Dec 26 2005 Nicolas Lcureuil <neoclust@mandriva.org> 1.2.0-3mdk
- Fix Buildrequires

* Mon Dec 26 2005 Nicolas Lcureuil <neoclust@mandriva.org> 1.2.0-2mdk
- Fix Buildrequires
- use mkrel

* Fri May 27 2005 Laurent MONTEL <lmontel@mandriva.com> 1.2.0-1mdk
- 1.2.0

* Sat May 07 2005 Laurent MONTEL <lmontel@mandriva.com> 1.1.1-2mdk
- Fix on x86_64

* Fri Mar 18 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 1.1.1-1mdk
- 1.1.1

* Wed Feb 02 2005 Nick Brown <nickbrown@mandrake.org> 1.1.0-1mdk
- 1.1.0

* Tue Dec 07 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 1.0-1mdk
- 1.0

* Wed Nov 10 2004 Nick Brown <nickbrown@mandrake.org> 0.9-1mdk
- 0.9

* Sat Aug 28 2004 Nick Brown <nickbrown@mandrake.org> 0.8-2mdk
- Rebuild for new menu

* Wed Aug 04 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 0.8-1mdk
- 0.8

* Sat Jun 19 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 0.7-1mdk
- 0.7

* Fri Apr 23 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 0.6-1mdk
- 0.6

* Wed Mar 03 2004 Lenny Cartier <lenny@mandrakesoft.com> 0.5-2mdk
- url

* Tue Jan 06 2004 Lenny Cartier <lenny@mandrakesoft.com> 0.5-1mdk
- 0.5

